# Uses of Class
org.eclipse.emf.cdo.etypes.util.BasicAnnotationValidator.Assistant

Packages that use BasicAnnotationValidator.Assistant
Package
Description
org.eclipse.emf.cdo.etypes.provider
The generated EMF edit support of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.provider.annotation
Provides a base class for supporting the specialization of
invalid reference

    AnnotationItemProvider

and
invalid reference

    StringToStringMapEntryItemProvider

.
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.

## Uses of BasicAnnotationValidator.Assistant in org.eclipse.emf.cdo.etypes.provider

Methods in org.eclipse.emf.cdo.etypes.provider that return BasicAnnotationValidator.Assistant
Modifier and Type
Method
Description
`protected BasicAnnotationValidator.Assistant`
AnnotationItemProvider.`getAssistant()`
Returns the `assistant` of the `annotation item provider adapter factory`, if available.
`protected BasicAnnotationValidator.Assistant`
StringToStringMapEntryItemProvider.`getAssistant()`
Returns the `assistant` of the `annotation item provider adapter factory`, if available.

## Uses of BasicAnnotationValidator.Assistant in org.eclipse.emf.cdo.etypes.provider.annotation

Fields in org.eclipse.emf.cdo.etypes.provider.annotation declared as BasicAnnotationValidator.Assistant
Modifier and Type
Field
Description
`protected final BasicAnnotationValidator.Assistant`
AnnotationItemProviderAdapterFactory.`assistant`
The assistant provided in the constructor and returned by `AnnotationItemProviderAdapterFactory.getAssistant()`.
`protected final BasicAnnotationValidator.Assistant`
AnnotationItemProviderAdapterFactory.ModeledItemPropertyDescriptorDecorator.`assistant`
The assistant used for `value conversion`.
Methods in org.eclipse.emf.cdo.etypes.provider.annotation that return BasicAnnotationValidator.Assistant
Modifier and Type
Method
Description
`BasicAnnotationValidator.Assistant`
AnnotationItemProviderAdapterFactory.`getAssistant()`
Returns the assistant.
Constructors in org.eclipse.emf.cdo.etypes.provider.annotation with parameters of type BasicAnnotationValidator.Assistant
Modifier
Constructor
Description
``
`AnnotationItemProviderAdapterFactory(ResourceLocator resourceLocator, BasicAnnotationValidator.Assistant assistant)`
This constructs an instance given a resource locator and an annotation assistant.
``
`ModeledItemPropertyDescriptorDecorator(IItemPropertyDescriptor propertyDescriptor, EObject eObject, String key, EStructuralFeature eStructuralFeature, Annotation annotation, ResourceLocator resourceLocator, EditingDomain domain, BasicAnnotationValidator.Assistant assistant)`

## Uses of BasicAnnotationValidator.Assistant in org.eclipse.emf.cdo.etypes.util

Fields in org.eclipse.emf.cdo.etypes.util declared as BasicAnnotationValidator.Assistant
Modifier and Type
Field
Description
`protected final BasicAnnotationValidator.Assistant`
BasicAnnotationValidator.`assistant`
The `assistant` used by the framework to induce a user interface.
Methods in org.eclipse.emf.cdo.etypes.util that return BasicAnnotationValidator.Assistant
Modifier and Type
Method
Description
`protected BasicAnnotationValidator.Assistant`
BasicAnnotationValidator.`createAssistant()`
Creates the assistant.
`BasicAnnotationValidator.Assistant`
BasicAnnotationValidator.`getAssistant()`
Returns the assistant provided by this annotation validator which is generally useful to provide access to protected methods that are needed primarily for inducing a user interface that represents the annotations in a more structured form.